org.apache.calcite.avatica.proto

## Interface Requests.UpdateBatchOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.UpdateBatch, Requests.UpdateBatch.Builder

Enclosing class:
  Requests

    public static interface Requests.UpdateBatchOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`Common.TypedValue` `getParameterValues(int index)` `repeated .TypedValue parameter_values = 1;`
`int` `getParameterValuesCount()` `repeated .TypedValue parameter_values = 1;`
`List<Common.TypedValue>` `getParameterValuesList()` `repeated .TypedValue parameter_values = 1;`
`Common.TypedValueOrBuilder` `getParameterValuesOrBuilder(int index)` `repeated .TypedValue parameter_values = 1;`
`List<? extends Common.TypedValueOrBuilder>` `getParameterValuesOrBuilderList()` `repeated .TypedValue parameter_values = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getParameterValuesList

    List<Common.TypedValue> getParameterValuesList()

`repeated .TypedValue parameter_values = 1;`

#### getParameterValues

    Common.TypedValue getParameterValues(int index)

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesCount

    int getParameterValuesCount()

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesOrBuilderList

    List<? extends Common.TypedValueOrBuilder> getParameterValuesOrBuilderList()

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesOrBuilder

    Common.TypedValueOrBuilder getParameterValuesOrBuilder(int index)

`repeated .TypedValue parameter_values = 1;`